%define name smeserver-systemd-control
%define version 0.1
%define release 3
Summary: Perl module to check systemd services
Name: %{name}
Version: %{version}
Release: %{release}
License: GNU GPL version 2
URL: http://libreswan.org/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: python3

AutoReqProv: no

%description
This module adds some systemd checks and commands for services
https://github.com/NethServer/nethserver-lib/blob/master/lib/perl/NethServer/Service.pm
https://raw.githubusercontent.com/NethServer/nethserver-lib/master/lib/perl/NethServer/Service.pm

%changelog
* Tue Jun 07 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-2.sme
- Force update to Description with new release [SME: 11064]

* Tue Sep 21 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-2.sme
- Updated description [SME: 11064]

* Wed Oct 14 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1.sme
 - Initial build [SME: 11064]

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%pre
%preun
%post


echo "****************************************"
echo "https://wiki.koozali.org/Systemd-control"
echo "****************************************"

%postun
